# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslateEdge Class Reference

`#include <StepToTopoDS_TranslateEdge.hxx>`

Inheritance diagram for StepToTopoDS_TranslateEdge:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslateEdge ()
Standard_EXPORT | StepToTopoDS_TranslateEdge (const Handle(StepShape_Edge)&E, StepToTopoDS_Tool &T)
Standard_EXPORT void | Init (const Handle(StepShape_Edge)&E, StepToTopoDS_Tool &T)
Standard_EXPORT void | MakeFromCurve3D (const Handle(StepGeom_Curve)&C3D, const Handle(StepShape_EdgeCurve)&EC, const Handle(StepShape_Vertex)&Vend, const Standard_Real preci, TopoDS_Edge &E, TopoDS_Vertex &V1, TopoDS_Vertex &V2, StepToTopoDS_Tool &T)
| Warning! C3D is assumed to be a Curve 3D ... other cases to checked before calling this .
Standard_EXPORT Handle_Geom2d_Curve | MakePCurve (const Handle(StepGeom_Pcurve)&PCU, const Handle(Geom_Surface)&ConvSurf) const
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT StepToTopoDS_TranslateEdgeError | Error () const

## Private Attributes

StepToTopoDS_TranslateEdgeError | myError
TopoDS_Shape | myResult

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslateEdge::StepToTopoDS_TranslateEdge | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslateEdge::StepToTopoDS_TranslateEdge | ( | const Handle(StepShape_Edge)& | E,
|  | StepToTopoDS_Tool & | T
| ) |

## Member Function Documentation

Standard_EXPORT StepToTopoDS_TranslateEdgeError StepToTopoDS_TranslateEdge::Error | ( |  | ) | const

Standard_EXPORT void StepToTopoDS_TranslateEdge::Init | ( | const Handle(StepShape_Edge)& | E,
|  | StepToTopoDS_Tool & | T
| ) |

Standard_EXPORT void StepToTopoDS_TranslateEdge::MakeFromCurve3D | ( | const Handle(StepGeom_Curve)& | C3D,
|  | const Handle(StepShape_EdgeCurve)& | EC,
|  | const Handle(StepShape_Vertex)& | Vend,
|  | const Standard_Real | preci,
|  | TopoDS_Edge & | E,
|  | TopoDS_Vertex & | V1,
|  | TopoDS_Vertex & | V2,
|  | StepToTopoDS_Tool & | T
| ) |

Standard_EXPORT Handle_Geom2d_Curve StepToTopoDS_TranslateEdge::MakePCurve | ( | const Handle(StepGeom_Pcurve)& | PCU,
|  | const Handle(Geom_Surface)& | ConvSurf
| ) | const

void StepToTopoDS_TranslateEdge::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateEdge::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateEdge::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_TranslateEdge::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_TranslateEdgeError StepToTopoDS_TranslateEdge::myError `[private]`

TopoDS_Shape StepToTopoDS_TranslateEdge::myResult `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslateEdge.hxx